APT (Advanced Packaging Tool) is the standard software package management system for Debian and its derivatives.

learn more… | top users | synonyms (1)

3
votes
1answer
853 views

Banshee Won't Update (Linux Mint 12)

Anyone else having problems getting the latest version of Banshee from apt-get? I'm adding the Banshee PPA, using apt-get update, and then trying apt-get upgrade and then to be totally sure, ...
5
votes
6answers
6k views

Can I use `apt-get` to upgrade to the latest version of Nagios?

At the time of this writing the latest version of Nagios is 3.3.1. I am running Ubuntu 10.04 and have used apt-get update; apt-get install nagios3 to end up with version 3.2.0. I know there are a lot ...
2
votes
1answer
403 views

How can I regenerate the default '/etc/' config files?

I've removed nagios3 with apt-get remove nagios3 and then removed the files in by using the command sudo rm -R /etc/nagios* Now when I run apt-get install nagios3 the config files (/etc/nagios3/*) ...
5
votes
1answer
2k views

How to reinstall apt on Debian?

I accidently removed apt-get from my Debian system by issuing: dpkg --force-depends --purge apt How can I reinstall it?
0
votes
1answer
301 views

How to install non-outdated nvidia drivers using apt-get?

I tried using apt-get install nvidia-current after installation I got 280.13 version, which is not the latest version(290.10). so how can i force apt-get to download the latest driver? Edit: I'm ...
1
vote
2answers
1k views

apt-get : no installation candidate for libxul-dev

When I'm installing libxul-dev I end with this error message: $ sudo apt-get install libxul-dev Reading package lists... Done Building dependency tree Reading state information... Done Package ...
0
votes
1answer
1k views

I am trying to install Google Chrome on Linux Mint 7

It seems like Jaunty is not being maintained anymore. When trying to install the chrome package: steven@steven-desktop ~/Desktop $ sudo dpkg -i google-chrome-stable_current_i386.deb Selecting ...
2
votes
1answer
481 views

What are the dangers with using “--assume-yes” with apt-get?

While making some improvements to my .bashrc file, I noticed a frequently used alias: alias install='sudo apt-get -y install' I wasn't familiar with the -y (aka --assume-yes or --yes) option with ...
9
votes
4answers
854 views

How can I reliably “hold” a package in Debian?

I have a package in Debian that has been manually patched (not ideal, I know) that I must hold at its current version so upgrades don't overwrite the patched changes (I will manually inspect and apply ...
7
votes
2answers
2k views

How to make apt-get accept new config files in an unattended install of debian from Repo

I am writing a script for a unattended install of a package that is in our repo, it is a software package with one of Debian's marked config files. Is there any option that I can pass to ...
4
votes
2answers
2k views

How to manually insert a repository in source.list?

I tried to add a new APT repository using this command: add-apt-repository ppa:atareao/atareao but I got a "command not found" error. I tried installing python-software-properties, but it's already ...
1
vote
2answers
3k views

“apt-get -f install” Fails Due to “dpkg” Error Code:

When I run apt-get -f install, I get the following abnormal output: Setting up cups (1.5.0-8) ... start: Job failed to start invoke-rc.d: initscript cups, action "start" failed. dpkg: error ...
1
vote
3answers
1k views

Increasing the size limit for /var/cache/apt/archives

I have 2 systems running Debian at home and I am trying to minimize the bandwidth use while upgrading the packages. How can I increase the size limit of the cache, so that I could just copy the ...
10
votes
5answers
5k views

“tar: unrecognized option --warning” during 'apt-get install'

I just ran apt-get upgrade on my debian 5 vps and I got this error: tar: unrecognized option `--warning=no-timestamp' Now when I try to install other packages e.g: imagemagick I get the same ...
2
votes
4answers
707 views

Mastering apt-get

I'd like to learn about apt-get so nothing bad can surprise me. I was looking for some tutorials but have found nothing that teaches it carefully including its internals. I found this article but it's ...
1
vote
1answer
174 views

apt: reinstall older version of a package without altering dependent packages

I have got some problem with sound. In order to investigate the problem I tried to reinstall older version of package libasound2 (I have upgraded it recently). I typed apt-get install ...
2
votes
0answers
220 views

How can I prevent Apt-Get from autoremoving packages? [duplicate]

Possible Duplicate: apt-get - autoremove wants to uninstall Gnome I'm running Debian@ [edit: kernel] 3.0 with Gnome. apt-get wants to autoremove dozens of packages. How can I prevent it ...
4
votes
1answer
1k views

The difference between deb versus deb-src in sources.list

I don't understand the difference between these two lines in my sources.list, please explain: deb http://mirror.optus.net/debian/ testing main contrib non-free versus deb-src ...
5
votes
3answers
3k views

apt-get equivalent of yum localinstall

When using Fedora I usually use yum localinstall as a way to install a rpm obtained outside the distribution repositories. I can't find an equivalent option in the apt-get man page. I'm running Ubuntu ...
5
votes
1answer
439 views

Conflict? dpkg, apt, apt-get, aptitude, and synaptic

So, I ssh into a (very) remote Ubuntu 10.4 server to do some admin and web dev+design. And I was looking through the various package manager options. There's a lot. The big ones are dpkg, apt, ...
2
votes
2answers
274 views

virtualenv type tool for apt-get?

Is there anyway or any popular tool that can allow me to create an isolated package environment for apt-get similar to what virtualenv does for pip and python packages?
16
votes
7answers
12k views

List available updates but do not install them

I want my cron-run reporting script to notify me in case there are updates for my packages. Is the a way to make apt-get give me the list of available updates but don't do anything more?
4
votes
2answers
107 views

In synaptic, is there a way to always expand “Details” when installing a package?

While using synaptic and update-manager in Debian (I'm using unstable), I always like to see what it is doing while installing and always manually expand the "Show installing files" and "Details" ...
3
votes
1answer
263 views

Private Debian repository to serve selected packages to selected machines

I have a private Debian repository setup with a few custom built packages (along with other official Debian packages). All my machines have this repository(only) configured in /etc/apt/sources.list. I ...
10
votes
2answers
442 views

How to list files and folders that are not maintained by any DEB package

I am in the process of moving my files from one Debian machine to another so that I can use the old machine for a different purpose. I do not want to miss any file because I will be formatting the ...
3
votes
2answers
432 views

Install downloaded packages with dependencies

I sometimes download .deb packages from the internet and install them with dpkg -i package.deb If the packages have unmet dependencies. How can I install the dependencies automatically (similar to ...
2
votes
1answer
423 views

Upgrading ffmpeg

How can I upgrade ffmpeg to version 0.6 on debian-based operating system? I'm using apt-get for installation and deb packages.
3
votes
1answer
7k views

apt-get prompts for CDs when installing packages, how do I make it stop?

I used ubuntu linux before, and I installed debian OS on my labtop using DVDs that I burned. But when I'm trying to use apt-get to install software, the system always asks me to insert disk to ...
1
vote
2answers
575 views

apt-get has unmet dependencies, but apt-get -f install doesn't solve problem

I've tried to install emacs on Ubuntu server 64bit 11.04, but it's complaining about emacs23-common. If I do: sudo apt-get -f install I still see the same problem: Errors were encountered while ...
1
vote
2answers
203 views

Prevent a package from being installed?

I installed Python 2.7 from source. A dependency of some packages is python. Is there a way I can prevent the install of a lesser version of Python, or let apt know it's already been fulfilled?
6
votes
2answers
1k views

Finding an earlier version to downgrade to

On my Debian server, I upgraded the SQLite package to version 3.7.7 but discovered that it contains a critical bug that breaks several things including my Subversion repository. So, I would like to ...
1
vote
2answers
353 views

PHP package won't install correctly

Yesterday I did apt-get upgrade on my Debian/testing and broke a php5 package. I even tried to remove & purge with apt and dpkg clean apt cache. When installed again clean, it fails with ...
6
votes
3answers
1k views

How to install/default to the command line version of Emacs?

I installed Emacs using sudo apt-get install emacs. The problem is that when I launch Emacs from the command line (e.g. emacs main.c) it opens Emacs with a GUI. I prefer the command line version which ...
1
vote
1answer
987 views

What does deb-src mean in the sources.list?

I know I can download binary packages from repositories beginning with "deb", but what does deb-src do? E.g.: deb-src http://archive.ubuntu.com/ubuntu natty universe in /etc/apt/sources.list in ...
4
votes
1answer
342 views

Apt/Aptitude: how to filter packages that are impossible to install?

Especially when running Sid, there are many packages that become non-installable as the dependencies change ABI versions, or the dependencies themselves may have been dropped. It'd be good to know how ...
4
votes
2answers
269 views

How do I hide packages from appearing in apt system?

The list of uninstalled packages appearing in my aptitude is massive, but is full of packages that I'm very sure I will never ever install. E.g. my laptop is using intel graphics, so it doesn't make ...
7
votes
3answers
6k views

apt-get - autoremove wants to uninstall Gnome

As empathy 2.30 in Debian Wheezy didn't meet all my preferences I tried out empathy 3.1 from experimental, using the command: apt-get -t experimental install empathy I had to find out, this version ...
4
votes
1answer
2k views

Problems with apt-get upgrade on Debian (404 Not Found)

I can't update my Debian Sid system. on running the apt-get upgrade I am getting: maciej@wladyslawa:/etc/apt$ sudo apt-get upgrade Reading package lists... Done Building dependency tree ...
2
votes
1answer
403 views

Why does 'apt-get install' suggest packages that I already have?

On Ubuntu Desktop 10.04.1, I have just run apt-get install to install a package. Amongst the list of suggested packages is ssh. I'm confused, because I am sure that I already have ssh installed: # ...
3
votes
1answer
369 views

Installing KDE on Ubuntu Natty from cdrom

Currently I have Ubuntu 11.04 - Natty, with Unity as the default environment; but I just want to install KDE along-side it, and I don't have perfect bandwidth. So I took Kubuntu 11.04 cdrom from my ...
3
votes
1answer
126 views

Link a dependency in Synaptic to the one already installed from source

I want to install SVN version of Quantum GIS and already I have a SVN version of GRASS GIS. As instructed in QGIS Wiki here, I added the qgis repository to my sources.list file. Now I am able to see ...
22
votes
4answers
13k views

List packages by installation date

How can I list installed packages by installation date? I installed a lot of stuff to compile a certain piece of code, and I want to get a list of the required packages, which are the ones I installed ...
0
votes
1answer
404 views

Can't install uwsgi on ubuntu

root@ip-10-194-97-94:~# apt-get install uwsgi Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that ...
0
votes
1answer
313 views

Error installing gmrun via apt-get

$ sudo apt-get install gmrun Reading package lists... Done Building dependency tree Reading state information... Done gmrun is already the newest version. 0 upgraded, 0 newly installed, 0 to ...
1
vote
1answer
1k views

Where can I find which packages are on each Debian Squeeze CD?

I just installed Debian Squeeze on my E1505. In order to get my wireless card working, I'm trying to install network-manager-gnome (I already installed firmware-iwlwifi) My current question is, how ...
3
votes
1answer
813 views

listing packages in Debian, a la `dpkg -l`, but including the package origin/source

I want to list all packages of the form $ dpkg -l libav\* but in addition to this output, I would like the origin/source (I'm not sure of the preferred term) of each package. If the package doesn't ...
51
votes
7answers
22k views

Convince apt-get *not* to use IPv6 method

The ISP I work at is setting up an internal IPv6 network in preparation for eventually connecting to the IPv6 internet. As a result, several of the servers in this network now try to connect to ...
2
votes
3answers
741 views

Unmet dependencies

I am trying to compile vim and install with "--enable-pythoninterp" flag, which needs the python-dev package. INFO I obtained the vim source from ftp://ftp.vim.org/pub/vim/unix/vim-7.3.tar.bz2 Vim7.3 ...
0
votes
2answers
523 views

Is there a Debian security APT repository that allows access via ftp?

If I want security updates for Debian, I add the following line to /etc/apt/sources.list: deb http://security.debian.org <codename>/updates main Is there a repository that allows the http to ...
3
votes
2answers
704 views

How often does Debian update its Stable repository?

Ever since release day (early Feb 2011), I haven't got any updates (apt-get update && apt-get upgrade). I've tried another repository (ftp://ftp.de.debian.org/debian), and it's the same thing. ...